<div [ngClass]="[jds.card, jds.mb(20)]">
  <div [ngClass]="[jds.cardHeader]">
    <h5 [ngClass]="[jds.cardTitle]">Ulasan</h5>
  </div>

  <ng-container *ngIf="reviewIsLoadingList$ | async">
    <div [ngClass]="[jds.cardBody, jds.p(24)]">
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [70, 10, 30, 20]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </div>
  </ng-container>

  <ng-container *ngIf="(reviewIsLoadingList$ | async) === false">
    <ng-container *ngIf="(reviewData$ | async)?.length > 0">
      <div [ngClass]="[jds.cardBody, jds.p(24)]">
        <div
          *ngFor="let row of reviewData$ | async"
          [ngClass]="[jds.mb(24)]"
        >
          <div [ngClass]="[jds.mb(8)]">
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.yellow['600'])]"
                name="star"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.rating }}
              </span>
            </div>
          </div>
          <div [ngClass]="[jds.mb(8)]">
            <strong>{{ row.user.skpd.nama_skpd }}</strong>
          </div>
          <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
            <div [ngClass]="[jds.me(16)]">
              {{ row.review }}
            </div>
            <div
              [ngClass]="[jds.ms('auto')]"
              [style.flexShrink]="0"
            >
              {{ moment(row.cdate).locale('id').format('DD MMMM YYYY') }}
            </div>
          </div>
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="(reviewData$ | async)?.length === 0">
      <div
        [ngClass]="[
          jds.cardBody,
          jds.textAlign('center'),
          jds.py(50),
          jds.px(15)
        ]"
      >
        <jds-bi-icon
          [ngClass]="[jds.text('gray300'), jds.my(20)]"
          [size]="80"
          name="comments"
        />
        <h6>Belum ada ulasan untuk dataset ini.</h6>
        <p>Jadilah yang pertama memberikan ulasan.</p>
      </div>
    </ng-container>
  </ng-container>
</div>
